package InvalidateCodeMirror::CMS;

use strict;
use warnings;

sub invalidate_codemirror {
    my ($cb, $app, $template) = @_;

    my $old;
    my $new;

    $old = <<HERE;
<mt:setvarblock name="html_head" append="1">
HERE
    $old = quotemeta($old);

    $new = <<HERE;
<mt:setvarblock name="html_head" append="1">
<style>
#template-editor-toolbar {
    display: none;
}
#textarea-enclosure {
    -moz-border-radius: 3px;
    border-width: 1px;
}
.CodeMirror {
    display: none!important;
}
#text {
    display: block!important;
}
</style>
</mt:setvarblock>
<mt:setvarblock name="html_head" append="1">
HERE
    $$template =~ s/$old/$new/;
}

1;
